import request from '@/utils/request'

// 查询入库列表
export function listStore(query) {
  return request({
    url: '/bst/store/list',
    method: 'get',
    params: query
  })
}

// 查询入库详细
export function getStore(id) {
  return request({
    url: '/bst/store/' + id,
    method: 'get'
  })
}

// 新增入库
export function addStore(data) {
  return request({
    url: '/bst/store',
    method: 'post',
    data: data
  })
}

// 修改入库
export function updateStore(data) {
  return request({
    url: '/bst/store',
    method: 'put',
    data: data
  })
}

// 入库操作
export function stockInStore(data) {
  return request({
    url: '/bst/store/stockIn',
    method: 'put',
    data: data
  })
}

// 删除入库
export function delStore(id) {
  return request({
    url: '/bst/store/' + id,
    method: 'delete'
  })
}
